> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get buckets

> Retrieve a list of all S3 bucket records.



## OpenAPI

````yaml get /api/s3/buckets
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/s3/buckets:
    get:
      tags:
        - S3
      summary: Get buckets
      description: Retrieve a list of all S3 bucket records.
      operationId: get_buckets_api_s3_buckets_get
      responses:
        '200':
          description: S3 Buckets retrieved successfully.
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/S3BucketModel'
                type: array
                title: Response 200 Get Buckets Api S3 Buckets Get
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    S3BucketModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Unique ID for the bucket.
        bucket:
          type: string
          title: Bucket
          description: The unique name of the S3 bucket.
        endpoint:
          type: string
          title: Endpoint
          description: The endpoint URL used to connect to the S3 bucket.
        accesskey:
          type: string
          title: Accesskey
          description: The access key used for authentication.
        secretkey:
          type: string
          title: Secretkey
          description: The secret key used for authentication.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: S3 bucket record creation timestamp.
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp when the bucket record was last updated.
      type: object
      required:
        - bucket
        - endpoint
        - accesskey
        - secretkey
      title: S3BucketModel
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````